org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface BasicCellEditor

All Superinterfaces:
  AbstractModelCellEditor

    public interface BasicCellEditor
    extends AbstractModelCellEditor

A representation of the model object ' Basic Cell Editor'.

The following features are supported:

- `Basic Cell Editor Impl`

See Also:
  `ModelCellEditorPackage.getBasicCellEditor()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBasicCellEditorImpl()` Returns the value of the 'Basic Cell Editor Impl' attribute.
`void` `setBasicCellEditorImpl(java.lang.String value)` Sets the value of the ' `Basic Cell Editor Impl`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.AbstractModelCellEditor

`getCellId, getCellType, getModelCellEditorImpl, setCellId, setCellType`

### Method Detail

#### getBasicCellEditorImpl

    java.lang.String getBasicCellEditorImpl()

Returns the value of the 'Basic Cell Editor Impl' attribute.

If the meaning of the 'Basic Cell Editor Impl' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Basic Cell Editor Impl' attribute.
See Also:
  `setBasicCellEditorImpl(String)`, `ModelCellEditorPackage.getBasicCellEditor_BasicCellEditorImpl()`
Generated:
Model:
  required="true"

#### setBasicCellEditorImpl

    void setBasicCellEditorImpl(java.lang.String value)

Sets the value of the ' `Basic Cell Editor Impl`' attribute.

Parameters:
  `value` - the new value of the 'Basic Cell Editor Impl' attribute.
See Also:
  `getBasicCellEditorImpl()`
Generated: